-- Example code for the outliner library
-- (C) Copyright 2018 Pedro Gimeno Fortea

-- Skeleton image obtained from https://opengameart.org/content/lpc-skeleton
-- Refer to that page for license information concerning that image.

local newOutliner = require 'outliner'

local outlinerOnly
local outliner
local img
local quads = {}

local frame = 1

function love.load()
  img = love.graphics.newImage('skeleton_3.png')
  for i = 1, 8 do
    quads[i] = love.graphics.newQuad((i-1)*64, 704, 64, 64, img:getDimensions())
  end

  outlinerOnly = newOutliner(true)
  outliner = newOutliner(false)

  outlinerOnly:outline(1, 0.5, 0.5)
  outliner:outline(0.4, 1, 0.2)
end

function love.update(dt)
  frame = frame + 15 * dt
  if frame >= 9 then frame = 1 end
end

function love.draw()
  local frm = math.floor(frame)
  love.graphics.draw(img, quads[frm], 200, 300)
  outliner:draw(3, img, quads[frm], 400, 300)
  outlinerOnly:draw(3, img, quads[frm], 600, 300)
end

function love.keypressed(k)
  if k == "escape" then return love.event.quit() end
end
